Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.binding.xml
Class UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.seamless.xml.SAXParser.Handler<I>
              org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<MutableActionArgument>>
                  org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  UDA10ServiceDescriptorBinderSAXImpl

    protected static class UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler

extends UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<MutableActionArgument>>

Field Summary
`static Descriptor.Service.ELEMENT` | `EL`

Fields inherited from class org.seamless.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler(List<MutableActionArgument> instance, UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)`

Method Summary
`boolean` | `isLastElement(Descriptor.Service.ELEMENT element)`
`void` | `startElement(Descriptor.Service.ELEMENT element, Attributes attributes)`

Methods inherited from class org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler
`endElement, endElement, isLastElement, startElement`

Methods inherited from class org.seamless.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL

    public static final Descriptor.Service.ELEMENT EL

Constructor Detail

### UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler

    public UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler(List<MutableActionArgument> instance,
                                                                         UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)

Method Detail

### startElement

    public void startElement(Descriptor.Service.ELEMENT element,
                             Attributes attributes)
                      throws SAXException

  Overrides:
    `startElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<MutableActionArgument>>`
  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(Descriptor.Service.ELEMENT element)

  Overrides:
    `isLastElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<MutableActionArgument>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.